io.vertx.rxjava.ext.web.sstore

## Class LocalSessionStore

- java.lang.Object
- - io.vertx.rxjava.ext.web.sstore.SessionStore
  - - io.vertx.rxjava.ext.web.sstore.LocalSessionStore

-     public class LocalSessionStore
      extends SessionStore

  A session store which is only available on a single node.

  Can be used when sticky sessions are being used.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalSessionStore(LocalSessionStore delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LocalSessionStore` | `create(Vertx vertx)` Create a session store
    `static LocalSessionStore` | `create(Vertx vertx, String sessionMapName)` Create a session store
    `static LocalSessionStore` | `create(Vertx vertx, String sessionMapName, long reaperInterval)` Create a session store
    `Object` | `getDelegate()`
    `static LocalSessionStore` | `newInstance(LocalSessionStore arg)`

    - ### Methods inherited from class io.vertx.rxjava.ext.web.sstore.SessionStore

      `clear, clearObservable, close, createSession, delete, deleteObservable, get, getObservable, newInstance, put, putObservable, retryTimeout, size, sizeObservable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalSessionStore

          public LocalSessionStore(LocalSessionStore delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

      Overrides:
        `getDelegate` in class `SessionStore`

    - #### create

          public static LocalSessionStore create(Vertx vertx)

      Create a session store
      Parameters:
        `vertx` - the Vert.x instance
      Returns:
        the session store

    - #### create

          public static LocalSessionStore create(Vertx vertx,
                                                 String sessionMapName)

      Create a session store
      Parameters:
        `vertx` - the Vert.x instance
        `sessionMapName` - name for map used to store sessions
      Returns:
        the session store

    - #### create

          public static LocalSessionStore create(Vertx vertx,
                                                 String sessionMapName,
                                                 long reaperInterval)

      Create a session store
      Parameters:
        `vertx` - the Vert.x instance
        `sessionMapName` - name for map used to store sessions
        `reaperInterval` - how often, in ms, to check for expired sessions
      Returns:
        the session store

    - #### newInstance

          public static LocalSessionStore newInstance(LocalSessionStore arg)

Copyright © 2016. All rights reserved.